Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.jsystems.framework.controls
Class FList

    java.lang.Object
      java.awt.Component
          java.awt.Container
              javax.swing.JComponent
                  javax.swing.JList
                      de.jsystems.framework.controls.FList

All Implemented Interfaces:
  Accessible, IActionInterface, IAncestor, IComponent, IContainer, IFocus, IHierarchy, IHierarchyBounds, IInputMethod, IKey, IListSelection, ImageObserver, IMouse, IMouseInput, IMouseMotion, IPropertyChange, IVetoableChange, MenuContainer, Scrollable, Serializable

public class FList
extends JList
implements IActionInterface, IListSelection, IAncestor, IPropertyChange, IVetoableChange, IContainer, IComponent, IFocus, IHierarchy, IHierarchyBounds, IInputMethod, IKey, IMouse, IMouseMotion, IMouseInput

Darstellung fuer eine JList aus dem SWING-Package. Die JList wurde hier erweitert um frameworkspezifische Funktionen. Diese werden benoetigt, damit das Framework ueber die automatische Registrierung mit der List kommunizieren kann.

Version:
  1.0
  Copyright by Jens Homm 2001 - 2003
Author:
  Jens Homm JSYSTEMS
See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class javax.swing.JList
`JList.AccessibleJList`

Nested classes inherited from class javax.swing.JComponent
`JComponent.AccessibleJComponent`

Nested classes inherited from class java.awt.Container
`Container.AccessibleAWTContainer`

Nested classes inherited from class java.awt.Component
`Component.AccessibleAWTComponent, Component.BltBufferStrategy, Component.FlipBufferStrategy`

Field Summary

Fields inherited from class javax.swing.JList
`HORIZONTAL_WRAP, VERTICAL, VERTICAL_WRAP`

Fields inherited from class javax.swing.JComponent
`accessibleContext, listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Container
``

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`FList()` Constructs a FList with an empty model.
`FList(ListModel dataModel)` Constructs a FList that displays the elements in the specified, non-null model.
`FList(Object[] listData)` Constructs a FList that displays the elements in the specified array.
`FList(Vector listData)` Constructs a FList that displays the elements in the specified Vector.

Method Summary
`void` | `addMouseInputListener(MouseInputListener listener)` Die JList aus Swing unterstuetzt den MouseInputListener nicht direkt.
`String` | `getActionClassForAncestor()` Gibt den Namen der Actionklasse zurueck, die ausgefuehrt werden soll, wenn ein AncestorEvent ausgeloest wurde.
`String` | `getActionClassForComponent()` Gibt den Namen der Action zurueck, die ausgefuehrt werden soll, wenn ein ComponentEvent ausgeloest wurde.
`String` | `getActionClassForContainer()` Gibt den Namen der Action zurueck, die ausgefuehrt werden soll, wenn ein ContainerEvent ausgeloest wurde.
`String` | `getActionClassForFocus()` Gibt den Namen der Action zurueck, die ausgefuehrt werden soll, wenn ein FocusEvent ausgeloest wurde.
`String` | `getActionClassForHierarchy()` Gibt den Namen der Action zurueck, die ausgefuehrt werden soll, wenn ein HierarchyEvent ausgeloest wurde.
`String` | `getActionClassForHierarchyBounds()` Gibt den Namen der Action zurueck, die ausgefuehrt werden soll, wenn ein HierarchyEvent ausgeloest wurde.
`String` | `getActionClassForInputMethod()` Gibt den Namen der Action zurueck, die ausgefuehrt werden soll, wenn ein InputMethodEvent ausgeloest wurde.
`String` | `getActionClassForKey()` Gibt den Namen der Action zurueck, die ausgefuehrt werden soll, wenn ein KeyEvent ausgeloest wurde.
`String` | `getActionClassForListSelection()` Gibt den Namen der Actionklasse zurueck, die ausgefuehrt werden soll, wenn ein ListSelectionEvent ausgeloest wurde.
`String` | `getActionClassForMouse()` Gibt den Namen der Action zurueck, die ausgefuehrt werden soll, wenn ein MouseEvent ausgeloest wurde.
`String` | `getActionClassForMouseInput()` Gibt den Namen der Actionklasse zurueck, die ausgefuehrt werden soll, wenn ein Mouse- oder MouseMotionEvent ausgeloest wurde.
`String` | `getActionClassForMouseMotion()` Gibt den Namen der Action zurueck, die ausgefuehrt werden soll, wenn ein MouseMotionEvent ausgeloest wurde.
`String` | `getActionClassForPropertyChange()` Gibt den Namen der Actionklasse zurueck, die ausgefuehrt werden soll, wenn ein PropertyChangeEvent ausgeloest wurde.
`String` | `getActionClassForVetoableChange()` Gibt den Namen der Actionklasse zurueck, die ausgefuehrt werden soll, wenn ein VetoableChangeEvent ausgeloest wurde.
`String` | `getModelClass()` Gibt die Klasse fuer das Model mit dem Inhalt fuer die ComboBox zurueck.
`void` | `removeMouseInputListener(MouseInputListener listener)` Entfernt den als MouseInputListener registrierten MouseListener wieder aus dem Control.
`void` | `setActionClassForAncestor(String actionClassName)` Setzt den Namen der Actionklasse, die aufgerufen werden soll, wenn ein AncestorEvent ausgeloest wurde.
`void` | `setActionClassForComponent(String actionClassName)` Setzt den Namen der Actionklasse, die aufgerufen werden soll, wenn ein ComponentEvent ausgeloest wurde.
`void` | `setActionClassForContainer(String actionClassName)` Setzt den Namen der Actionklasse, die aufgerufen werden soll, wenn ein ContainerEvent ausgeloest wurde.
`void` | `setActionClassForFocus(String actionClassName)` Setzt den Namen der Actionklasse, die aufgerufen werden soll, wenn ein FocusEvent ausgeloest wurde.
`void` | `setActionClassForHierarchy(String actionClassName)` Setzt den Namen der Actionklasse, die aufgerufen werden soll, wenn ein HierarchyEvent ausgeloest wurde.
`void` | `setActionClassForHierarchyBounds(String actionClassName)` Setzt den Namen der Actionklasse, die aufgerufen werden soll, wenn ein HierarchyEvent ausgeloest wurde.
`void` | `setActionClassForInputMethod(String actionClassName)` Setzt den Namen der Actionklasse, die aufgerufen werden soll, wenn ein InputMethodEvent ausgeloest wurde.
`void` | `setActionClassForKey(String actionClassName)` Setzt den Namen der Actionklasse, die aufgerufen werden soll, wenn ein KeyEvent ausgeloest wurde.
`void` | `setActionClassForListSelection(String actionClassName)` Setzt den Namen der Actionklasse, die aufgerufen werden soll, wenn ein ListSelectionEvent ausgeloest wurde.
`void` | `setActionClassForMouse(String actionClassName)` Setzt den Namen der Actionklasse, die aufgerufen werden soll, wenn ein MouseEvent ausgeloest wurde.
`void` | `setActionClassForMouseInput(String actionClassName)` Setzt den Namen der Actionklasse, die aufgerufen werden soll, wenn ein Mouse- oder MouseMotionEvent ausgeloest wurde.
`void` | `setActionClassForMouseMotion(String actionClassName)` Setzt den Namen der Actionklasse, die aufgerufen werden soll, wenn ein MouseMotionEvent ausgeloest wurde.
`void` | `setActionClassForPropertyChange(String actionClassName)` Setzt den Namen der Actionklasse, die aufgerufen werden soll, wenn ein PropertyChangeEvent ausgeloest wurde.
`void` | `setActionClassForVetoableChange(String actionClassName)` Setzt den Namen der Actionklasse, die aufgerufen werden soll, wenn ein VetoableChangeEvent ausgeloest wurde.
`void` | `setModelClass(String string)` Setzt den Klassennamen fuer das Model mit dem Inhalt fuer die Liste.

Methods inherited from class javax.swing.JList
`addListSelectionListener, addSelectionInterval, clearSelection, createSelectionModel, ensureIndexIsVisible, fireSelectionValueChanged, getAccessibleContext, getAnchorSelectionIndex, getCellBounds, getCellRenderer, getDragEnabled, getFirstVisibleIndex, getFixedCellHeight, getFixedCellWidth, getLastVisibleIndex, getLayoutOrientation, getLeadSelectionIndex, getListSelectionListeners, getMaxSelectionIndex, getMinSelectionIndex, getModel, getNextMatch, getPreferredScrollableViewportSize, getPrototypeCellValue, getScrollableBlockIncrement, getScrollableTracksViewportHeight, getScrollableTracksViewportWidth, getScrollableUnitIncrement, getSelectedIndex, getSelectedIndices, getSelectedValue, getSelectedValues, getSelectionBackground, getSelectionForeground, getSelectionMode, getSelectionModel, getToolTipText, getUI, getUIClassID, getValueIsAdjusting, getVisibleRowCount, indexToLocation, isSelectedIndex, isSelectionEmpty, locationToIndex, paramString, removeListSelectionListener, removeSelectionInterval, setCellRenderer, setDragEnabled, setFixedCellHeight, setFixedCellWidth, setLayoutOrientation, setListData, setListData, setModel, setPrototypeCellValue, setSelectedIndex, setSelectedIndices, setSelectedValue, setSelectionBackground, setSelectionForeground, setSelectionInterval, setSelectionMode, setSelectionModel, setUI, setValueIsAdjusting, setVisibleRowCount, updateUI`

Methods inherited from class javax.swing.JComponent
`addAncestorListener, addNotify, addPropertyChangeListener, addPropertyChangeListener, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBorder, getBounds, getClientProperty, getComponentGraphics, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getGraphics, getHeight, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPreferredSize, getPropertyChangeListeners, getPropertyChangeListeners, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, isDoubleBuffered, isLightweightComponent, isManagingFocus, isMaximumSizeSet, isMinimumSizeSet, isOpaque, isOptimizedDrawingEnabled, isPaintingTile, isPreferredSizeSet, isRequestFocusEnabled, isValidateRoot, paint, paintBorder, paintChildren, paintComponent, paintImmediately, paintImmediately, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processKeyBinding, processKeyEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removePropertyChangeListener, removePropertyChangeListener, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFont, setForeground, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, addImpl, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setFocusCycleRoot, setFocusTraversalKeys, setFocusTraversalPolicy, setLayout, transferFocusBackward, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, createVolatileImage, createVolatileImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMouseWheelListeners, getName, getParent, getPeer, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface de.jsystems.framework.common.action.IActionInterface
`isEnabled, setEnabled`

Methods inherited from interface de.jsystems.framework.common.action.swing.IListSelection
`addListSelectionListener, removeListSelectionListener`

Methods inherited from interface de.jsystems.framework.common.action.swing.IAncestor
`addAncestorListener, removeAncestorListener`

Methods inherited from interface de.jsystems.framework.common.action.beans.IPropertyChange
`addPropertyChangeListener, removePropertyChangeListener`

Methods inherited from interface de.jsystems.framework.common.action.beans.IVetoableChange
`addVetoableChangeListener, removeVetoableChangeListener`

Methods inherited from interface de.jsystems.framework.common.action.awt.IContainer
`addContainerListener, removeContainerListener`

Methods inherited from interface de.jsystems.framework.common.action.awt.IComponent
`addComponentListener, removeComponentListener`

Methods inherited from interface de.jsystems.framework.common.action.awt.IFocus
`addFocusListener, removeFocusListener`

Methods inherited from interface de.jsystems.framework.common.action.awt.IHierarchy
`addHierarchyListener, removeHierarchyListener`

Methods inherited from interface de.jsystems.framework.common.action.awt.IHierarchyBounds
`addHierarchyBoundsListener, removeHierarchyBoundsListener`

Methods inherited from interface de.jsystems.framework.common.action.awt.IInputMethod
`addInputMethodListener, removeInputMethodListener`

Methods inherited from interface de.jsystems.framework.common.action.awt.IKey
`addKeyListener, removeKeyListener`

Methods inherited from interface de.jsystems.framework.common.action.awt.IMouse
`addMouseListener, removeMouseListener`

Methods inherited from interface de.jsystems.framework.common.action.awt.IMouseMotion
`addMouseMotionListener, removeMouseMotionListener`

Constructor Detail

### FList

    public FList(ListModel dataModel)

  Constructs a FList that displays the elements in the specified, non-null model. All FList constructors delegate to this one.

Parameters:
  `dataModel` - the data model for this list.
Throws:
  `IllegalArgumentException` - if dataModel is null.

### FList

    public FList(Object[] listData)

  Constructs a FList that displays the elements in the specified array. This constructor just delegates to the ListModel constructor.

Parameters:
  `listData` - the array of Objects to be loaded into the data model.

### FList

    public FList(Vector listData)

  Constructs a FList that displays the elements in the specified Vector. This constructor just delegates to the ListModel constructor.

Parameters:
  `listData` - the Vector to be loaded into the data model.

### FList

    public FList()

  Constructs a FList with an empty model.

Method Detail

### getActionClassForAncestor

    public String getActionClassForAncestor()

  Description copied from interface: `IAncestor`
  Gibt den Namen der Actionklasse zurueck, die ausgefuehrt werden soll, wenn ein AncestorEvent ausgeloest wurde.

  Specified by:
    `getActionClassForAncestor` in interface `IAncestor`
  Returns:
    Der Name der Actionklasse fuer AncestorEvent.

### setActionClassForAncestor

    public void setActionClassForAncestor(String actionClassName)

  Description copied from interface: `IAncestor`
  Setzt den Namen der Actionklasse, die aufgerufen werden soll, wenn ein AncestorEvent ausgeloest wurde.

  Specified by:
    `setActionClassForAncestor` in interface `IAncestor`
  Parameters:
    `actionClassName` - Der Name der Actionklasse fuer AncestorEvent.

### getActionClassForPropertyChange

    public String getActionClassForPropertyChange()

  Description copied from interface: `IPropertyChange`
  Gibt den Namen der Actionklasse zurueck, die ausgefuehrt werden soll, wenn ein PropertyChangeEvent ausgeloest wurde.

  Specified by:
    `getActionClassForPropertyChange` in interface `IPropertyChange`
  Returns:
    Der Name der Actionklasse fuer PropertyChangeEvent.

### setActionClassForPropertyChange

    public void setActionClassForPropertyChange(String actionClassName)

  Description copied from interface: `IPropertyChange`
  Setzt den Namen der Actionklasse, die aufgerufen werden soll, wenn ein PropertyChangeEvent ausgeloest wurde.

  Specified by:
    `setActionClassForPropertyChange` in interface `IPropertyChange`
  Parameters:
    `actionClassName` - Der Name der Actionklasse fuer PropertyChangeEvent.

### getActionClassForVetoableChange

    public String getActionClassForVetoableChange()

  Description copied from interface: `IVetoableChange`
  Gibt den Namen der Actionklasse zurueck, die ausgefuehrt werden soll, wenn ein VetoableChangeEvent ausgeloest wurde.

  Specified by:
    `getActionClassForVetoableChange` in interface `IVetoableChange`
  Returns:
    Der Name der Actionklasse fuer VetoableChangeEvents.

### setActionClassForVetoableChange

    public void setActionClassForVetoableChange(String actionClassName)

  Description copied from interface: `IVetoableChange`
  Setzt den Namen der Actionklasse, die aufgerufen werden soll, wenn ein VetoableChangeEvent ausgeloest wurde.

  Specified by:
    `setActionClassForVetoableChange` in interface `IVetoableChange`
  Parameters:
    `actionClassName` - Der Name der Actionklasse fuer VetoableChangeEvent.

### getActionClassForContainer

    public String getActionClassForContainer()

  Description copied from interface: `IContainer`
  Gibt den Namen der Action zurueck, die ausgefuehrt werden soll, wenn ein ContainerEvent ausgeloest wurde.

  Specified by:
    `getActionClassForContainer` in interface `IContainer`
  Returns:
    Der Name der Actionklasse fuer ContainerEvents.

### setActionClassForContainer

    public void setActionClassForContainer(String actionClassName)

  Description copied from interface: `IContainer`
  Setzt den Namen der Actionklasse, die aufgerufen werden soll, wenn ein ContainerEvent ausgeloest wurde.

  Specified by:
    `setActionClassForContainer` in interface `IContainer`
  Parameters:
    `actionClassName` - Der Name der Actionklasse fuer ContainerEvents.

### getActionClassForComponent

    public String getActionClassForComponent()

  Description copied from interface: `IComponent`
  Gibt den Namen der Action zurueck, die ausgefuehrt werden soll, wenn ein ComponentEvent ausgeloest wurde.

  Specified by:
    `getActionClassForComponent` in interface `IComponent`
  Returns:
    Der Name der Actionklasse fuer ComponentEvents.

### setActionClassForComponent

    public void setActionClassForComponent(String actionClassName)

  Description copied from interface: `IComponent`
  Setzt den Namen der Actionklasse, die aufgerufen werden soll, wenn ein ComponentEvent ausgeloest wurde.

  Specified by:
    `setActionClassForComponent` in interface `IComponent`
  Parameters:
    `actionClassName` - Der Name der Actionklasse fuer ComponentEvents.

### getActionClassForFocus

    public String getActionClassForFocus()

  Description copied from interface: `IFocus`
  Gibt den Namen der Action zurueck, die ausgefuehrt werden soll, wenn ein FocusEvent ausgeloest wurde.

  Specified by:
    `getActionClassForFocus` in interface `IFocus`
  Returns:
    Der Name der Actionklasse fuer focusEvents.

### setActionClassForFocus

    public void setActionClassForFocus(String actionClassName)

  Description copied from interface: `IFocus`
  Setzt den Namen der Actionklasse, die aufgerufen werden soll, wenn ein FocusEvent ausgeloest wurde.

  Specified by:
    `setActionClassForFocus` in interface `IFocus`
  Parameters:
    `actionClassName` - Der Name der Actionklasse fuer FocusEvents.

### getActionClassForHierarchy

    public String getActionClassForHierarchy()

  Description copied from interface: `IHierarchy`
  Gibt den Namen der Action zurueck, die ausgefuehrt werden soll, wenn ein HierarchyEvent ausgeloest wurde.

  Specified by:
    `getActionClassForHierarchy` in interface `IHierarchy`
  Returns:
    Der Name der Actionklasse fuer HierarchyEvent.

### setActionClassForHierarchy

    public void setActionClassForHierarchy(String actionClassName)

  Description copied from interface: `IHierarchy`
  Setzt den Namen der Actionklasse, die aufgerufen werden soll, wenn ein HierarchyEvent ausgeloest wurde.

  Specified by:
    `setActionClassForHierarchy` in interface `IHierarchy`
  Parameters:
    `actionClassName` - Der Name der Actionklasse fuer HierarchyEvents.

### getActionClassForHierarchyBounds

    public String getActionClassForHierarchyBounds()

  Description copied from interface: `IHierarchyBounds`
  Gibt den Namen der Action zurueck, die ausgefuehrt werden soll, wenn ein HierarchyEvent ausgeloest wurde.

  Specified by:
    `getActionClassForHierarchyBounds` in interface `IHierarchyBounds`
  Returns:
    Der Name der Actionklasse fuer HierarchyEvent.

### setActionClassForHierarchyBounds

    public void setActionClassForHierarchyBounds(String actionClassName)

  Description copied from interface: `IHierarchyBounds`
  Setzt den Namen der Actionklasse, die aufgerufen werden soll, wenn ein HierarchyEvent ausgeloest wurde.

  Specified by:
    `setActionClassForHierarchyBounds` in interface `IHierarchyBounds`
  Parameters:
    `actionClassName` - Der Name der Actionklasse fuer HierarchyEvents.

### getActionClassForInputMethod

    public String getActionClassForInputMethod()

  Description copied from interface: `IInputMethod`
  Gibt den Namen der Action zurueck, die ausgefuehrt werden soll, wenn ein InputMethodEvent ausgeloest wurde.

  Specified by:
    `getActionClassForInputMethod` in interface `IInputMethod`
  Returns:
    Der Name der Actionklasse fuer InputMethodEvent.

### setActionClassForInputMethod

    public void setActionClassForInputMethod(String actionClassName)

  Description copied from interface: `IInputMethod`
  Setzt den Namen der Actionklasse, die aufgerufen werden soll, wenn ein InputMethodEvent ausgeloest wurde.

  Specified by:
    `setActionClassForInputMethod` in interface `IInputMethod`
  Parameters:
    `actionClassName` - Der Name der Actionklasse fuer InputMethodEvents.

### getActionClassForKey

    public String getActionClassForKey()

  Description copied from interface: `IKey`
  Gibt den Namen der Action zurueck, die ausgefuehrt werden soll, wenn ein KeyEvent ausgeloest wurde.

  Specified by:
    `getActionClassForKey` in interface `IKey`
  Returns:
    Der Name der Actionklasse fuer KeyEvent.

### setActionClassForKey

    public void setActionClassForKey(String actionClassName)

  Description copied from interface: `IKey`
  Setzt den Namen der Actionklasse, die aufgerufen werden soll, wenn ein KeyEvent ausgeloest wurde.

  Specified by:
    `setActionClassForKey` in interface `IKey`
  Parameters:
    `actionClassName` - Der Name der Actionklasse fuer KeyEvents.

### getActionClassForMouse

    public String getActionClassForMouse()

  Description copied from interface: `IMouse`
  Gibt den Namen der Action zurueck, die ausgefuehrt werden soll, wenn ein MouseEvent ausgeloest wurde.

  Specified by:
    `getActionClassForMouse` in interface `IMouse`
  Returns:
    Der Name der Actionklasse fuer MouseEvent.

### setActionClassForMouse

    public void setActionClassForMouse(String actionClassName)

  Description copied from interface: `IMouse`
  Setzt den Namen der Actionklasse, die aufgerufen werden soll, wenn ein MouseEvent ausgeloest wurde.

  Specified by:
    `setActionClassForMouse` in interface `IMouse`
  Parameters:
    `actionClassName` - Der Name der Actionklasse fuer MouseEvents.

### getActionClassForMouseMotion

    public String getActionClassForMouseMotion()

  Description copied from interface: `IMouseMotion`
  Gibt den Namen der Action zurueck, die ausgefuehrt werden soll, wenn ein MouseMotionEvent ausgeloest wurde.

  Specified by:
    `getActionClassForMouseMotion` in interface `IMouseMotion`
  Returns:
    Der Name der Actionklasse fuer MouseMotionEvent.

### setActionClassForMouseMotion

    public void setActionClassForMouseMotion(String actionClassName)

  Description copied from interface: `IMouseMotion`
  Setzt den Namen der Actionklasse, die aufgerufen werden soll, wenn ein MouseMotionEvent ausgeloest wurde.

  Specified by:
    `setActionClassForMouseMotion` in interface `IMouseMotion`
  Parameters:
    `actionClassName` - Der Name der Actionklasse fuer MouseMotionEvents.

### getActionClassForMouseInput

    public String getActionClassForMouseInput()

  Description copied from interface: `IMouseInput`
  Gibt den Namen der Actionklasse zurueck, die ausgefuehrt werden soll, wenn ein Mouse- oder MouseMotionEvent ausgeloest wurde.

  Specified by:
    `getActionClassForMouseInput` in interface `IMouseInput`
  Returns:
    Der Name der Actionklasse fuer Mouse- oder MouseMotionEvent.

### setActionClassForMouseInput

    public void setActionClassForMouseInput(String actionClassName)

  Description copied from interface: `IMouseInput`
  Setzt den Namen der Actionklasse, die aufgerufen werden soll, wenn ein Mouse- oder MouseMotionEvent ausgeloest wurde.

  Specified by:
    `setActionClassForMouseInput` in interface `IMouseInput`
  Parameters:
    `actionClassName` - Der Name der Actionklasse fuer Mouse- oder MouseMotionEvent.

### addMouseInputListener

    public void addMouseInputListener(MouseInputListener listener)

  Die JList aus Swing unterstuetzt den MouseInputListener nicht direkt. Da es sich dabei aber nur um eine Zusammenfassung der Listener MouseListener und MouseMotionListener handelt, wird hier der uebergebene Listener einfach sowohl als Mouse- als auch als MouseMotionListener registriert. Soll der Listener wieder entfernt werden, so ist die Methode `removeMouseInputListener(javax.swing.event.MouseInputListener)` zu benutzen.

  Specified by:
    `addMouseInputListener` in interface `IMouseInput`
  Parameters:
    `listener` - der zu registrierende Listener.

### removeMouseInputListener

    public void removeMouseInputListener(MouseInputListener listener)

  Entfernt den als MouseInputListener registrierten MouseListener wieder aus dem Control.

  Specified by:
    `removeMouseInputListener` in interface `IMouseInput`
  Parameters:
    `listener` - Der zu entfernende Listener.
  See Also:
    `addMouseInputListener(MouseInputListener)`

### getActionClassForListSelection

    public String getActionClassForListSelection()

  Description copied from interface: `IListSelection`
  Gibt den Namen der Actionklasse zurueck, die ausgefuehrt werden soll, wenn ein ListSelectionEvent ausgeloest wurde.

  Specified by:
    `getActionClassForListSelection` in interface `IListSelection`
  Returns:
    Der Name der Actionklasse fuer ListSelectionEvent.

### setActionClassForListSelection

    public void setActionClassForListSelection(String actionClassName)

  Description copied from interface: `IListSelection`
  Setzt den Namen der Actionklasse, die aufgerufen werden soll, wenn ein ListSelectionEvent ausgeloest wurde.

  Specified by:
    `setActionClassForListSelection` in interface `IListSelection`
  Parameters:
    `actionClassName` - Der Name der Actionklasse fuer ListSelectionEvent.

### getModelClass

    public String getModelClass()

  Gibt die Klasse fuer das Model mit dem Inhalt fuer die ComboBox zurueck.

  Returns:
    Die Modelklasse fuer das Model.

### setModelClass

    public void setModelClass(String string)

  Setzt den Klassennamen fuer das Model mit dem Inhalt fuer die Liste.

  Parameters:
    `string` - Die Klasse fuer den Listeninhalt.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD